AOZ Studio Beta - Bug #711

The Gamepad Threshold instruction was working, but now fails.
04/02/2021 02:26 PM - Brian Flanagan

Status: Closed Start date: 04/02/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour
Target version: 1.0.0 (B7)

Affected version: 1.0.0 (B7)

Description

This causes the Joystick tester program to fail as well.
Example:

Gamepad Threshold 0.4

Console errors:

Serving "/Users/brian/Documents/My AOZ Applications/Threshold Test/html" at http://127.0.0.1:8080
application. js:51 Uncaught SyntaxError: Unexpected token %
index.html?forced=1617373451547:377 Uncaught ReferenceError: Application is not defined
at index.html?forced=1617373451547:377
(anonymous) @ index.html?forced=1617373451547:377
load (async)
(anonymous) @ index.html?forced=1617373451547:375
/Users/brian/A0OZ_Studio/aoz/IDE/.atom/packages/aoz-studio/node_modules/live-server/index. js:380

The line in question has been encoded wrong:

// Gamepad Threshold 0.4

aoz.sourcePos="0:5:0";

aoz.gamepad_Threshold = %t; // This line is the culprit.
return{type:0}

History

#1 - 04/06/2021 03:17 PM - Francois Lionet
- Status changed from New to Resolved

- Assignee set to Francois Lionet

Fixed!

#2 - 04/14/2021 01:56 PM - Brian Flanagan
- Status changed from Resolved to Closed

- Target version set to 1.0.0 (B7)

Working in 1.0.0 (B7)
